import pprint

import requests


def test_link(conn, user):
    name_id = user['name_id']
    url = conn + '/link?NameID=%s' % name_id
    payload = {
        'IDENTFAMILLE': user['family'],
        'NOM': user['last_name'],
        'PRENOM': user['first_name'],
    }
    print("Creating link with the following payload:")
    pprint.pprint(payload)
    resp = requests.post(url, json=payload)
    resp.raise_for_status()
    res = resp.json()
    pprint.pprint(res)
    assert res['err'] == 0
    print('\n')

    print("Deleting link")
    url = conn + '/unlink?NameID=%s' % name_id
    resp = requests.post(url)
    resp.raise_for_status()
    res = resp.json()
    assert res['err'] == 0
    pprint.pprint(res)
    print('\n')
